

sourceName=c("dbcpu","os","sp","sqlstats")
for ( sourceN in 1:4 ) {
  print("===================================================================")

  for ( load in 2:6 ) {
    print("------------------------------------------------")
    filename = paste("/Users/cshallah/Desktop/2013_04a_cpu_time/",load,"_",sourceName[sourceN],".dat",sep="")
    rawData<-read.table(filename,header=FALSE)
    attach(rawData)
    ds<-V1
    print(paste("Dataset:",sourceName[sourceN]," Load:", load))
    print(fivenum(ds))
    print(length(ds))
    print(summary(ds))
    print(shapiro.test(ds))
    detach(rawData)
  }
}


for ( load in 2:6 ) {
  print("------------------------------------------------")
  print(paste("Load:",load))
  print("------------------------------------------------")

  filename = paste("/Users/cshallah/Desktop/2013_04a_cpu_time/",load,"_dbcpu.dat", sep="")
  rawData<-read.table(filename,header=FALSE)
  attach(rawData)
  dsDBCPU<-V1
  print("---- dsDBCPU")
  print(length(dsDBCPU))
  print(summary(dsDBCPU))
  print(shapiro.test(dsDBCPU))
  denDBCPU<-density(dsDBCPU)
  detach(rawData)

  filename = paste("/Users/cshallah/Desktop/2013_04a_cpu_time/",load,"_os.dat", sep="")
  rawData<-read.table(filename,header=FALSE)
  attach(rawData)
  dsOS<-V1
  print("---- dsOS")
  print(length(dsOS))
  print(summary(dsOS))
  print(shapiro.test(dsOS))
  denOS<-density(dsOS)
  detach(rawData)

  filename = paste("/Users/cshallah/Desktop/2013_04a_cpu_time/",load,"_sp.dat", sep="")
  rawData<-read.table(filename,header=FALSE)
  attach(rawData)
  dsSP<-V1
  print("---- dsSP")
  print(length(dsSP))
  print(summary(dsSP))
  print(shapiro.test(dsSP))
  denSP<-density(dsSP)
  detach(rawData)

  filename = paste("/Users/cshallah/Desktop/2013_04a_cpu_time/",load,"_sqlstats.dat", sep="")
  rawData<-read.table(filename,header=FALSE)
  attach(rawData)
  dsSQLSTATS<-V1
  print("---- dsSQLSTATS")
  print(length(dsSQLSTATS))
  print(summary(dsSQLSTATS))
  print(shapiro.test(dsSQLSTATS))
  denSQLSTATS<-density(dsSQLSTATS)
  detach(rawData)

  plot(range(denDBCPU$x, denOS$x, denSP$x, denSQLSTATS$x), range(denDBCPU$y, denOS$y, denSP$y, denSQLSTATS$y), type = "n", xlab = "Sample Values", ylab = "Probability", main="Probability Density Curve\nDBCPU:red, OS:blue, SP:black, SQLSTATS:green") 
  lines(denDBCPU, col = "red") 
  lines(denOS, col = "blue")
  lines(denSP, col = "black")
  lines(denSQLSTATS, col = "green")

  graphfilename = paste("/Users/cshallah/Desktop/2013_04a_cpu_time/finalhist_L",load,".pdf", sep="")
  dev.copy(pdf, graphfilename)
  dev.off()

  print("==== Doing t.tests")
  print(t.test(dsDBCPU,dsSP))
  print(t.test(dsOS,dsSP))

  print("==== Doing wilcox.test")
  print(wilcox.test(dsDBCPU,dsSP))
  print(wilcox.test(dsOS,dsSP))
  
}


  